clc
clear all

%%generate absolute path variables
currentFolder=cd();
cd ..
sourceFolder=cd();


rootSourceFolder=('YOUR FOLDE TO THE PRINCETON VALIDATION SET');
rootDestFolder=rootSourceFolder;

cd(rootSourceFolder)
dirInfo = dir();            
isDir = [dirInfo.isdir];             
listAllVideos = {dirInfo(isDir).name};   
listAllVideos = listAllVideos(3:end);
processAllVideos=1;


if(processAllVideos==false)
    %insert video names manually!!!!
    listVideos{1}='book_move1';
    listVideos{2}='box_no_occ';
    %listVideos{3}='cf_no_occ';
    %listVideos{1}=
else
    listVideos=listAllVideos;
end



%%

%%%%%%%%%%%%%%%%%%%%%%%

%%
%%Processing Loop

numVideo=length(listVideos);

%move to the directory with source file
cd(sourceFolder)

windowSize=6;
maxTdistance=17*1000;

for i=1:numVideo
    
    tmpFrameInfo=[rootSourceFolder '\' listVideos{i} '\frames.mat'];
    load(tmpFrameInfo);
    framesNEW=frames;
    [img_files, depth_files, pos, target_sz, ground_truth, video_path, depth_path] = load_video_info_depth(rootSourceFolder, listVideos{i});
   
    existingFramesID_img=[];
    existingFramesTS_img=[];
    
    existingFramesID_depth=[];
    existingFramesTS_depth=[];
    
    for j=1:length(depth_files)
        fname = depth_files{j};
        fname=fname(3:end);
        existingFramesID_depth = [existingFramesID_depth; str2num(fname(find(fname=='-')+1:end-4))];
        existingFramesTS_depth = [existingFramesTS_depth; str2num(fname(1:find(fname=='-')-1))];
        
    end
    
    for j=1:length(img_files)
        fname = img_files{j};
        fname=fname(3:end);
        existingFramesID_img = [existingFramesID_img; str2num(fname(find(fname=='-')+1:end-4))];
        existingFramesTS_img = [existingFramesTS_img; str2num(fname(1:find(fname=='-')-1))];
        
    end

    
    [indexDepthNEW,indexRGBNEW]=alignTimeScale_win(existingFramesTS_img,existingFramesTS_depth, maxTdistance,windowSize);
    
    tsDEPTHNEW=existingFramesTS_depth(indexDepthNEW);
    tsRGBNEW=existingFramesTS_img(indexRGBNEW);
    
    framesNEW.imageFrameID=uint32(indexRGBNEW);    
    framesNEW.depthFrameID=uint32(indexDepthNEW);
    
    framesNEW.imageTimestamp=uint64(tsRGBNEW);    
    framesNEW.depthTimestamp=uint64(tsDEPTHNEW);

    framesNEW.length=length(framesNEW.depthTimestamp);
    
   tmpFrameInfo=[rootDestFolder '\' listVideos{i} '\framesNEW.mat'];
    
    %save(tmpFrameInfo, 'framesNEW');

end